#ifndef UTILS_H_
#define UTILS_H_

#include <sys/stat.h>


enum convertdirection_t {cdt_from_client=0, cdt_to_client};


/* Prototypes of public functions */

const char* convert_charset(const char* s, enum convertdirection_t direction);
void make_lowercase(char *buf);
const char* list_pointer(const char *haystack, const char *needle, const char *delimiters);
int list_contains(const char *haystack, const char *needle, const char *delimiters);
int list_contains_extension(const char *list, const char *filename);
int string_substitute(char *haystack, const char *needle, const char *substitution, int haystack_size);
int casestat(char *filename, struct stat *statbuf);


#endif /*UTILS_H_*/
